/* * {
    font-size: 50px;
} */

.div-1 {
    background-color: green;
    display: inline;
}

#span-1 {
    background-color: purple;
    width: 200px;
    height: 200px;
}

#span-2 {
    background-color: red;
    display: block;
}

#div-2 {
    display: none;
}

#img {
    width: 250px;
    height: 250px;
}

#p-1 {
    background-color: #70c8ff;
}

#p-2 {
    background-color: rgb(255,105,180);
    width: 60%;
}

#p-3 {
    width: 40%;
    background-color: yellow;
}

.sample {
    display: inline-block;
    width: 30%;
    border: 1px black solid;
    text-align: center;
}

/* float property */
.img-float {
    width: 50px;
    height: 50px;
    float: left;
}

/* CSS units */
.box {
    background-color: red;
    border: 1px solid black;
    margin: 5px;
}

.fifty-percent {
    width: 50%;
}

.one-hundred-pixels {
    width: 200px;
}

.fifty-vw {
    width: 50vw;
}

.fifty-vh {
    height: 50vh;
}

.parent {
    width: 135px;
    border: 2px solid navy;
    font-size: 32px;
}

.one-rem {
    font-size: 1rem;
}

.two-rem {
    font-size: 2rem;
}

.one-em {
    font-size: 1em;
}

.two-em {
    font-size: 2em;
}

.background {
    min-height: 100vh;
    background-color: gray;
    background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
}

.bg-title {
    color: white;
    text-align: center;
    font-size: 5em;
    margin: 0;
    line-height: 35rem;
}

.container-bg {
    min-height: 100vh;
    background-color: rgba(0,0,0,50%);
}

/* CSS positioning */
.parent-element {
    background-color: skyblue;
    padding: 10px;
    min-height: 200vh;
}

.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;
    position: sticky;
    top: 10px;
    left: 10px;
}

.child-three {
    background-color: gray;
    padding: 10px;
}

/* Z-index property */
.container {
    position: relative;
}

.black-box {
    position: relative;
    border: 2px solid black;
    height: 100px;
    width: 30px;
}

.gray-box {
    position: absolute;
    background-color: lightgray;
    height: 60px;
    width: 70%;
    left: 50px;
    top: 50px;
    z-index: 3;
}

.green-box {
    position: absolute;
    background-color: lightgreen;
    width: 35%;
    left: 270px;
    top: -15px;
    height: 100px;
    z-index: 2;
}